/*-- -------------------------- -->
<---          Banner            -->
<--- -------------------------- -*/
/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
  #banner-1402 {
    padding: var(--sectionPadding);
    /* 190px - 268px */
    padding-top: clamp(11.875rem, 25vw, 16.75rem);
    padding-bottom: 6.25rem;
    /* clips the line from causing overflow issues for going off screen */
    overflow: hidden;
    position: relative;
    z-index: 1;
  }
  #banner-1402 .cs-container {
    text-align: center;
    width: 100%;
    max-width: 80rem;
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    /* 8px - 12px */
    gap: clamp(0.5rem, 1vw, 0.75rem);
  }
  #banner-1402 .cs-int-title {
    /* 39px - 61px */
    font-size: clamp(2.4375rem, 6.4vw, 3.8125rem);
    font-weight: 900;
    line-height: 1.2em;
    text-align: inherit;
    margin: 0;
    color: var(--bodyTextColorWhite);
    position: relative;
  }
  #banner-1402 .cs-breadcrumbs {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  #banner-1402 .cs-link {
    font-size: 1rem;
    line-height: 1.2em;
    text-decoration: none;
    color: var(--bodyTextColorWhite);
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  #banner-1402 .cs-link:last-of-type {
    /* remove the chevron on the last list item */
  }
  #banner-1402 .cs-link:last-of-type::after {
    display: none;
  }
  #banner-1402 .cs-link:after {
    /* chevron */
    content: "";
    width: 0.4375rem;
    height: 0.75rem;
    margin: 0 1rem;
    background: url("https://csimg.nyc3.cdn.digitaloceanspaces.com/Icons/white-chev.svg");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    display: block;
  }
  #banner-1402 .cs-link.cs-active {
    color: var(--primary);
  }
  #banner-1402 .cs-background {
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
  }
  #banner-1402 .cs-background:before {
    /* gradient overlay */
    content: "";
    width: 100%;
    height: 100%;
    background: #000;
    opacity: 0.4;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    z-index: 1;
  }
  #banner-1402 .cs-background:after {
    /* gradient overlay */
    content: "";
    width: 100%;
    height: 40%;
    background: linear-gradient(to bottom, #000000 0%, rgba(0, 0, 0, 0) 100%);
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    z-index: 2;
  }
  #banner-1402 .cs-background img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    /* Makes img tag act as a background image */
    -o-object-fit: cover;
       object-fit: cover;
  }
}
/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
  #banner-1402 .cs-background:before {
    width: 50%;
    height: 100%;
    background: linear-gradient(to right, #000000 0%, rgba(0, 0, 0, 0) 100%);
    opacity: 1;
  }
}
/*-- -------------------------- -->
<---        Content Page        -->
<--- -------------------------- -*/
/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
  @keyframes floatAnimation {
    0% {
      transform: translateY(0);
    }
    50% {
      transform: translateY(-2rem);
    }
    100% {
      transform: translateY(0);
    }
  }
  @keyframes floatAnimation2 {
    0% {
      transform: translateY(0);
    }
    50% {
      transform: translateY(-3rem);
    }
    100% {
      transform: translateY(0);
    }
  }
  #content-page-1402 {
    padding: var(--sectionPadding);
    background-color: #fff;
    /* clips the wave background from causing overflow issues when it goes off screen */
    overflow: hidden;
    position: relative;
    z-index: 1;
  }
  #content-page-1402 .cs-container {
    width: 100%;
    max-width: 80rem;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* 40px - 64px */
    gap: clamp(2.5rem, 4vw, 4rem);
    position: relative;
  }
  #content-page-1402 .cs-content {
    /* set text align to left if content needs to be left aligned */
    text-align: left;
    width: 100%;
    max-width: 46.125rem;
    display: flex;
    flex-direction: column;
    /* centers content horizontally, set to flex-start to left align */
    align-items: flex-start;
  }
  #content-page-1402 h2,
  #content-page-1402 h3,
  #content-page-1402 h4,
  #content-page-1402 h5,
  #content-page-1402 h6 {
    font-weight: 700;
    text-align: inherit;
    margin: 0 0 1rem 0;
    color: var(--headerColor);
  }
  #content-page-1402 h2 {
    font-size: 2rem;
    margin-top: 2rem;
  }
  #content-page-1402 h3 {
    font-size: 1.5rem;
    color: var(--primary);
  }
  #content-page-1402 h4,
  #content-page-1402 h5,
  #content-page-1402 h6 {
    font-size: 1.25rem;
  }
  #content-page-1402 .cs-button-solid {
    margin-bottom: 2rem;
  }
  #content-page-1402 .cs-no-margin {
    margin: 0;
  }
  #content-page-1402 .cs-color {
    color: var(--primary);
  }
  #content-page-1402 p {
    font-size: var(--bodyFontSize);
    line-height: 1.5em;
    text-align: inherit;
    width: 100%;
    margin: 0 0 1rem 0;
    color: var(--bodyTextColor);
  }
  #content-page-1402 p:last-of-type {
    margin-bottom: 2rem;
  }
  #content-page-1402 p a {
    font-size: inherit;
    line-height: inherit;
    text-decoration: underline;
    color: var(--primary);
    filter: brightness(120%);
  }
  #content-page-1402 ol,
  #content-page-1402 ul {
    padding-left: 1.5rem;
    margin: 0 0 2rem 0;
    color: var(--bodyTextColor);
    display: flex;
    flex-direction: column;
    gap: 1rem;
  }
  #content-page-1402 ul li {
    list-style: none;
    color: inherit;
    position: relative;
  }
  #content-page-1402 ul li:before {
    /* custom list bullet */
    content: "";
    width: 3px;
    height: 3px;
    background: currentColor;
    opacity: 1;
    border-radius: 50%;
    position: absolute;
    display: block;
    top: 0.625rem;
    left: -0.75rem;
  }
  #content-page-1402 img {
    width: 100%;
    height: auto;
    display: block;
  }
  #content-page-1402 .cs-image-group {
    width: 100%;
    display: none;
    flex-direction: column;
    /* 16px - 20px */
    gap: clamp(1rem, 2.6vw, 1.25rem);
    position: relative;
  }
  #content-page-1402 .cs-flex {
    position: relative;
  }
  #content-page-1402 .cs-background {
    width: 100%;
    height: 100%;
    /* 32px - 48px */
    border-radius: clamp(2rem, 4vw, 3rem);
    /* clips the corners of the children around the border radius */
    overflow: hidden;
    /* makes it cover the parent dimensions */
    -o-object-fit: cover;
       object-fit: cover;
    display: block;
  }
  #content-page-1402 .cs-background img {
    width: 100%;
    height: 100%;
    /* makes it cover the parent like a backgorund image */
    -o-object-fit: cover;
       object-fit: cover;
    display: block;
  }
  #content-page-1402 .cs-box {
    text-align: left;
    width: 100%;
    max-width: 12.5rem;
    padding: 2rem;
    /* prevents padding from affecting height and width */
    box-sizing: border-box;
    background-color: var(--primary);
    /* 48px - 80px */
    border-radius: 2rem;
    display: none;
    flex-direction: column;
    align-items: flex-start;
    gap: 1.5rem;
    position: absolute;
    /* 12px - 20px */
    right: clamp(0.75rem, 1.9vw, 1.5rem);
    /* 12px - 20px */
    bottom: clamp(0.75rem, 1.9vw, 1.5rem);
  }
  #content-page-1402 .cs-box-icon {
    width: 3.75rem;
    height: auto;
    display: block;
  }
  #content-page-1402 .cs-desc {
    font-size: 1.25rem;
    line-height: 1.2em;
    text-align: inherit;
    font-weight: 700;
    width: 100%;
    margin: 0;
    color: var(--bodyTextColorWhite);
  }
  #content-page-1402 .cs-card-group {
    width: 100%;
    max-width: 39.375rem;
    margin: 0 0 1.5rem 0;
    padding: 0;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(15.265rem, 1fr));
    align-items: center;
    gap: clamp(1rem, 2vw, 1.25rem);
  }
  #content-page-1402 .cs-item {
    list-style: none;
    /* 16px - 24px */
    padding: clamp(1rem, 3vw, 1.5rem);
    /* prevents padding from affecting height and width */
    box-sizing: border-box;
    background-color: #f7f7f7;
    border-radius: 1rem;
    border: 1px solid #e8e8e8;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 0.75rem;
  }
  #content-page-1402 .cs-item:before {
    display: none;
  }
  #content-page-1402 .cs-h3 {
    font-size: 1.25rem;
    line-height: 1.2em;
    font-weight: 700;
    margin: 0;
    color: var(--headerColor);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 0.5rem;
  }
  #content-page-1402 .cs-h3-icon {
    width: 2rem;
    height: auto;
    display: block;
  }
  #content-page-1402 .cs-item-text {
    font-size: 0.875rem;
    line-height: 1.5em;
    margin: 0;
    color: var(--bodyTextColor);
  }
  #content-page-1402 .cs-item-text:last-of-type {
    margin: 0;
  }
  #content-page-1402 .cs-ul {
    width: 100%;
    margin: 0 0 1.5rem 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 0.75rem;
  }
  #content-page-1402 .cs-li {
    font-size: var(--bodyFontSize);
    list-style: none;
    line-height: 1.5em;
    width: 100%;
    color: var(--bodyTextColor);
    display: flex;
    justify-content: flex-start;
    /* push icon top the top so if the list item goes to two lines the icon stays at the top */
    align-items: flex-start;
    gap: 0.5rem;
  }
  #content-page-1402 .cs-icon {
    width: 1.5rem;
    height: auto;
    /* adds extra space between the icon and top of parent so it's more centered */
    margin-top: 1px;
    display: block;
  }
  #content-page-1402 .cs-bubbles {
    font-size: min(2.5vw, .7em);
    width: 36.375em;
    height: 34.8125em;
    display: none;
    position: absolute;
    /* changes to auto at larger desktop */
    left: -16.25em;
    /* changes to -220px at large desktop */
    bottom: -3.125em;
    z-index: -1;
  }
  #content-page-1402 .cs-bubbles:before {
    /* white border bubble */
    content: "";
    width: 29em;
    height: 29em;
    background: transparent;
    border: 1px solid #1a1a1a;
    border-radius: 50%;
    opacity: 1;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    animation-name: floatAnimation;
    animation-duration: 5s;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
  }
  #content-page-1402 .cs-bubbles:after {
    /* orange bubble */
    content: "";
    width: 22.875em;
    height: 22.875em;
    background: var(--primary);
    opacity: 0.15;
    border-radius: 50%;
    display: block;
    position: absolute;
    bottom: 0;
    right: 0;
    z-index: -1;
    animation-name: floatAnimation2;
    animation-duration: 14s;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
  }
}
/* Tablet - 768px */
@media only screen and (min-width: 48rem) {
  #content-page-1402 .cs-container {
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
  }
  #content-page-1402 .cs-content {
    width: 50%;
    max-width: 42.125rem;
    /* prevents flexbox from squishing it */
    flex: none;
  }
  #content-page-1402 .cs-image-group {
    width: 44%;
    max-width: 33.875rem;
    display: flex;
  }
}
/* Desktop - 1200px */
@media only screen and (min-width: 75rem) {
  #content-page-1402 .cs-content {
    width: 53%;
  }
  #content-page-1402 .cs-image-group {
    width: 43%;
  }
  #content-page-1402 .cs-box {
    display: flex;
  }
  #content-page-1402 .cs-bubbles {
    font-size: 1em;
    margin-right: 37.5rem;
    display: block;
    left: auto;
    right: 50%;
    bottom: -13.75rem;
  }
}
/*# sourceMappingURL=data:application/json;base64,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 */